
Redmine - Feature #3872

New user password - better functionality

2009-09-15 16:17 - Maxim Krušina

Status: Closed Start date: 2009-09-15

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version: 2.4.0   

Resolution: Fixed   

Description

It should be usefull to add two functionalities to new user's password:

[x] Require user to change password after first login

[x] Generate password

I hope both checkboxes are self-explaining ;)

Is you check "Generate password" it will disable testual password input.

Related issues:

Related to Redmine - Feature #1391: Ability to force user to change password Closed 2008-06-06

Related to Redmine - Feature #2039: Generate strong passwords New 2008-10-16

Related to Redmine - Feature #4221: Force passwords to contain specified char... Closed 2009-11-16

Has duplicate Redmine - Feature #13235: Generate "one time" random password f... Closed

Has duplicate Redmine - Feature #14364: Password generator feature Closed

Associated revisions

Revision 11456 - 2013-02-23 17:50 - Jean-Philippe Lang

Option to generate a random password on user creation/update.

Revision 11458 - 2013-02-23 18:00 - Jean-Philippe Lang

Adds field_generate_password string to locales (#3872).

Revision 12081 - 2013-08-05 19:58 - Jean-Philippe Lang

Option to force a user to change his password (#3872).

Revision 12082 - 2013-08-05 20:00 - Jean-Philippe Lang

Adds field_must_change_passwd string to locales (#3872).

Revision 12083 - 2013-08-05 20:04 - Jean-Philippe Lang

Removed hardcoded string (#3872).

History

#1 - 2011-01-05 08:54 - Yuki Kita

+1

#2 - 2011-05-30 14:46 - Diego Marciano

+1

#3 - 2013-02-23 17:58 - Jean-Philippe Lang

- Target version set to 2.4.0

#4 - 2013-04-07 23:25 - Dipan Mehta

Add related #1391

2024-03-13 1/2

https://www.redmine.org/issues/1391


#5 - 2013-06-28 09:03 - Daniel Felix

- Has duplicate Feature #14364: Password generator feature added

#6 - 2013-08-02 04:18 - Toshi MARUYAMA

- Related to Feature #4221: Force passwords to contain specified character classes added

#7 - 2013-08-05 20:06 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Now implemented.

#8 - 2013-08-06 09:35 - Maxim Krušina

Great, thanx!!! :)

Powered by TCPDF (www.tcpdf.org)

2024-03-13 2/2

http://www.tcpdf.org

